Lumension® Endpoint Intelligence Center

Intelligence Center » Browse All Vulnerabilities » CVE-2012-5237

Overview

Vulnerability Score 3.3 3.3
CVE Id CVE-2012-5237
Last Modified 02 Nov 2013 11:28:04
Published 04 Oct 2012 03:55:00
Confidentiality Impact NONE NONE
Integrity Impact NONE NONE
Availability Impact PARTIAL PARTIAL
Access Vector ADJACENT_NETWORK
Access Complexity LOW
Authentication NONE

CVE-2012-5237

Summary

The dissect_hsrp function in epan/dissectors/packet-hsrp.c in the HSRP dissector in Wireshark 1.8.x before 1.8.3 allows remote attackers to cause a denial of service (infinite loop) via a malformed packet.

Vulnerable Systems

Application

  • Wireshark 1.8.0

  • Wireshark 1.8.1

  • Wireshark 1.8.2


References

CONFIRM - https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=7581

CONFIRM - http://www.wireshark.org/security/wnpa-sec-2012-26.html

CONFIRM - http://anonsvn.wireshark.org/viewvc?view=revision&revision=44454

CONFIRM - http://anonsvn.wireshark.org/viewvc/trunk/epan/dissectors/packet-hsrp.c?r1=44454&r2=44453&pathrev=44454

XF - wireshark-hsrp-dos(79009)

OSVDB - 85884

SECTRACK - 1027604

BID - 55754


Last Updated: 27 May 2016 11:00:52